<nz-collapse nzGhost>
  <nz-collapse-panel
    *ngFor="let panel of mbPanels"
    #p
    [id]="panel.id"
    [nzHeader]="header"
    [nzShowArrow]="false"
    [nzActive]="panel.active"
    [nzExtra]="extra"
    (nzActiveChange)="activeChange($event)"
  >
    <!-- Header -->
    <ng-template #header>
      <nz-space>
        <img alt="" *nzSpaceItem class="ant__collapse__icon" [src]="panel.icon">
        <p *nzSpaceItem class="ant__collapse__header">{{ panel.name | translate }}</p>
        <em *nzSpaceItem [nzRotate]="p.nzActive ? 180 : 0" nz-icon nzType="caret-down" nzTheme="outline"
            class="ant__collapse__icon"></em>
      </nz-space>
    </ng-template>

    <ng-template #extra>
      <ng-container *ngIf="panel.extraMode; else empty">
        <ng-container *ngTemplateOutlet="mbExtra;context: {$implicit: panel}"></ng-container>
      </ng-container>
      <ng-template #empty></ng-template>
    </ng-template>

    <!-- Panel -->
    <ng-container
      (attached)="setReference($event, panel.id)"
      [cdkPortalOutlet]="panel.panelComponentPortal"
    ></ng-container>

  </nz-collapse-panel>
</nz-collapse>
